{% extends "admin/change_form.html" %}
{% load i18n admin_modify adminmedia thumbnail media %}

{% block object-tools %}
{{block.super}}

{% if original.conversion_error_flag %}
<div class="errornote">There was an error encoding this video to mp4 format.  Either this video is corrupt, or this is not a supported video type.</div>
<br/>
{% endif %}
{% if original.is_processing %}
<div class="system-message"><p class="system-message-title">Note:</p>
<strong>This video is being processed.  It should be available for viewing on the site shortly.</strong></div>
{% endif %}
{% endblock %}


{% block before_form %}
{% if change %}
<fieldset class="module related-module">
<div class="form-row">
    {% thumbnail original.image 120x120 as thumb %}{% mimetype_image original.filename as mime_img %}
    {% if original.has_vimeo_video %}
    <a href="{{original.url}}" target="_blank"><img src="{{thumb|default:mime_img}}" alt="{{original.title}}" /></a></p>
    <span class="quiet tiny"><a href="{{original.url}}" target="_blank">View on vimeo.com</a></span>
    {% else %}
    <p><a href="{{original.filename.url}}" target="_blank"><img src="{{thumb|default:mime_img}}" alt="{{original.title}}" /></a></p>
    <span class="quiet tiny">type: {{original.mimetype}}</span><br/>
    <span class="quiet tiny">created: {{original.created}}</span><br/>
    <span class="quiet tiny">modified: {{original.modified}}</span>
    {% endif %}
    
    <br/><br/>
    Embed: <textarea rows="3" style="width: 14em" onclick="this.select()">{% video_embed original %}</textarea>

    <br/><br/>
    {% if original.relations.count %}<div>
        <span class="quiet">Links:</span>
        <ul>
        {% for r in original.relations.all %}
        <li><a href="{% url admin:index %}{{r.content_type.app_label}}/{{r.content_type.model}}/{{r.object.pk}}/">{{r.object}}</a></li>
        {% endfor %}
        </ul>
    </div>{% endif %}
</div>
</fieldset>
{% endif %}
{% endblock %}
